package com.kingdee.eas.custom.erp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SynPersonToErpFacadeFactory
{
    private SynPersonToErpFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.erp.ISynPersonToErpFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.erp.ISynPersonToErpFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("301BAEE8") ,com.kingdee.eas.custom.erp.ISynPersonToErpFacade.class);
    }
    
    public static com.kingdee.eas.custom.erp.ISynPersonToErpFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.ISynPersonToErpFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("301BAEE8") ,com.kingdee.eas.custom.erp.ISynPersonToErpFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.erp.ISynPersonToErpFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.ISynPersonToErpFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("301BAEE8"));
    }
    public static com.kingdee.eas.custom.erp.ISynPersonToErpFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.ISynPersonToErpFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("301BAEE8"));
    }
}